function y = lagrange ( x, xData, k )

% Find the k-th degree Lagrange polynomial associated with
%   the given data points in xData at a specific point x

n  = length ( xData );
xk = xData  ( k )    ; 

y  = 1 ;
for j = 1:n
  if j ~= k 
    xj = xData( j );
    y  = y .* ( x - xj )./( xk - xj ) ;
  end
end
