function [ balance ] = mortgage( payment )
% INPUT  : payment
% OUTPUT : balance

% Problem's parameters
loan_period    = 300      ; % 25yr * 12mo 
rate_per_month = 0.03 / 12;
balance        = 3000000  ;

% Start calculation 
for k=1:loan_period
  balance = balance*( 1 + rate_per_month ) - payment;
end
    
% correct answer: $14,226.34
