Step = 20 ;                % Total number of steps

k = 0                    ; % Step
t = 1/sqrt(3); Pi_1 = 6*t; % Initial value of t at k=0
s = 1/sqrt(3); Pi_2 = 6*s; % Initial value of s at k=0

  fprintf (1,'%8i %20.15f %20.15f\n', k, Pi_1, Pi_2); %Output

for k = 1:Step
  t = (sqrt(t^2+1)-1)/t ; Pi_1 = 6*2^k*t;  %Formulation 1
  s = s/(sqrt(s^2+1)+1) ; Pi_2 = 6*2^k*s;  %Formulation 2

  fprintf (1,'%8i %20.15f %20.15f\n', k, Pi_1, Pi_2); %Output
end
