function y = PolyInterpolation ( x, xData, yData )

% Given x, find y = p(x) where p is a interpolation polynomial that goes through xData and yData exactly.

n  = length( xData );

y  = 0 ;
for k = 1:n
  yk = yData ( k );
  y  = y + yk * lagrange( x, xData, k );
end
